Name: gtick
Version: 0.4.1
Release: alt1

Summary: GTick is a GTK+ 2 metronome
License: GPLv3
Group: Sound
Url: http://www.antcom.de/%name

Packager: Alex V. Myltsev <avm@altlinux.ru>

Source: http://savannah.nongnu.org/download/%name/default.pkg/%version/%name-%version.tar.bz2
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm

# Automatically added by buildreq on Sat Feb 17 2007
BuildRequires: flex libgtk+2-devel libsndfile-devel

%description
GTick is a metronome application written for GNU/Linux and other
UN*X-like operting systems supporting different meters (Even, 2/4, 3/4,
4/4 and more) and speeds ranging from 30 to 250 bpm. It utilizes GTK+ 2
and OSS (ALSA compatible).

%prep
%setup -q

%build
%configure --disable-rpath

%make_build

%install
%makeinstall

# menu
%__cat  <<__MENU__ >%name.menu
?package(%name): \
  needs="x11" \
  command="%name" \
  title="GTick" \
  longtitle="A Metronome Application" \
  section="Multimedia/Sound" \
  icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot/%_menudir/%name

%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_man1dir/*
%_iconsdir/*.xpm
%_iconsdir/*/*/*/*.xpm
%_menudir/*
%doc AUTHORS ChangeLog NEWS THANKS README TODO

%changelog
* Wed Jan 16 2008 Alex V. Myltsev <avm@altlinux.ru> 0.4.1-alt1
- New version: GPLv3, translations update, segfault fix.

* Wed May 09 2007 Alex V. Myltsev <avm@altlinux.ru> 0.3.15-alt1
- 0.3.15: translations update.

* Sat Feb 17 2007 Alex V. Myltsev <avm@altlinux.ru> 0.3.13-alt1
- 0.3.13.

* Sat May 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1

* Tue Dec 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.10-alt1
- 2.0.10

* Tue Oct 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.6-alt1
- 2.0.6

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.4-alt1
- new version.

* Sat Aug 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.3-alt1
- First build for Sisyphus.
- summary, description by avp.
